CAAD

Comunidad de Aventuras Conversacionales y Relatos Interactivos
Fecha actual 01 Dic 2020 23:05

Todos los horarios son UTC + 1 hora




Nuevo tema Responder al tema  [ 7 mensajes ] 
Autor Mensaje
NotaPublicado: 26 Nov 2009 08:09 
[b:a2120d4ac4]Actualización de Intérpretes Glulx (Windows)[/b:a2120d4ac4]
Después de un tiempo sin noticias, David Kinder a actualizado su intérpretes Windows Glulxe. El cambio se debe a que Andrew Plotkin ha sacado la nueva versión 0.4.5 de Glulxe, y David enseguida refleja los cambios en su versión para Windows.

También se hace una pequeña actualización del paquete de Windows Git, sin cambiar el versionado.

<table><tr><td>
[b:a2120d4ac4]Windows Glulxe v0.4.5.137[/b:a2120d4ac4]
Actualización por incremento de versión del intérprete Glulxe (de referencia) a la v0.4.5, por motivo de detección de bugs arrojados por la 'Unit-Testing' de Andrew Plotkin. (Uno de los cambios importantes es que ahora una llamada a STRING.print_to_array(x) [sin usar los dos argumentos] no producirá un error fatal, sino sólo un warning).

[b:a2120d4ac4]Desde aquí se puede bajar este intérprete para Glulx:[/b:a2120d4ac4]

[url=http://ifarchive.org/if-archive/programming/glulx/interpreters/glulxe/WinGlulxeInstaller.exe]Instalador para Windows[/url]

[url=http://ifarchive.org/if-archive/programming/glulx/interpreters/glulxe/WinGlulxe.zip]Paquete ZIP[/url]

[b:a2120d4ac4]Windows Git v1.2.5.137[/b:a2120d4ac4]
Se actualiza un pequeño error de versionado en el archivo de ayuda del intérprete (reportado por este servidor, xD).

[b:a2120d4ac4]Desde aquí se puede bajar este intérprete para Glulx:[/b:a2120d4ac4]

[url=http://ifarchive.org/if-archive/programming/glulx/interpreters/git/wingit-125.zip]Paquete ZIP[/url]
</td></tr></table>


Arriba
  
 
NotaPublicado: 26 Nov 2009 13:29 
Desconectado
xyzzy

Registrado: 09 Mar 2004 22:50
Mensajes: 9150
Igual es que no estoy muy informada, pero es increible que cosas que llevan usándose tantos años, aún vayan por la 0.4.5 :shock:

Jen, la desmarcadora oficial del CAAD.


Arriba
 Perfil  
 
NotaPublicado: 26 Nov 2009 17:32 
Desconectado
Semimomio
Semimomio
Avatar de Usuario

Registrado: 24 Ago 2007 00:41
Mensajes: 2023
Ubicación: Chile
No es tan difícil de explicar. La 0.4.5 es la versión del intérprete Glulxe de referencia. Basado en él, se escriben todos los otros. La definición de tal intérprete no ha de cambiar demasiado, porque es, como digo, el de referencia. Es como lo que sucede con Git. Este también es un intérprete de referencia (pero basado un poco en Glulxe). Usando Git se crean otros intérpretes derivados, o se portan a otros sistemas, etc... por lo que, si su funcionamiento es suficientemente estable, no debería llevar mucho cambio para evitar incompatibilidades.

Es parecido a lo que sucede con la versión del estándar de GlulxVM. El estándar va en el 0.7.0. No es buena idea actualizar el estándar demasiado seguido, si no es por algo muy puntual o grave, porque eso implica que todos los intérpretes operativos con él (sea Glulxe, Git, etc.) deban ser actualizados, lanzando nuevas versiones, quizá rompiendo retro-compatibilidades.

_________________
Eliuk Blau
eliukblau (AT) gmail.com
http://www.caad.es/eliukblau/


Última edición por Eliuk Blau el 26 Nov 2009 21:06, editado 1 vez en total

Arriba
 Perfil  
 
NotaPublicado: 26 Nov 2009 18:17 
Desconectado
xyzzy

Registrado: 09 Mar 2004 22:50
Mensajes: 9150
Eliuk Blau escribió:
No es tan difícil de explicar.


Pues gracias por tu amable explicación. :)
Será que yo sigo calificando a todo aquello que no está en su versión 1, como algo beta o inestable, y por eso me extraña ver situaciones como éstas.


Arriba
 Perfil  
 
NotaPublicado: 26 Nov 2009 20:49 
Desconectado
Samudio
Samudio
Avatar de Usuario

Registrado: 09 Mar 2004 16:16
Mensajes: 5312
Ubicación: Coruña
jenesis escribió:
Pues gracias por tu amable explicación. :)
Será que yo sigo calificando a todo aquello que no está en su versión 1, como algo beta o inestable, y por eso me extraña ver situaciones como éstas.


Es que normalmente es como tú dices. Es un estándar de facto de versionado que todo el mundo entiende. Sólo que se ve que esta gente se lo salta.

_________________
Actúa siempre de tal modo que las decisiones de tu voluntad pudiesen servir como preceptos de una legislación universal (E. Kant)


Arriba
 Perfil  
 
NotaPublicado: 27 Nov 2009 18:49 
Desconectado
Semimomio
Semimomio
Avatar de Usuario

Registrado: 15 Dic 2004 21:28
Mensajes: 2302
Al-Khwarizmi escribió:
jenesis escribió:
Pues gracias por tu amable explicación. :)
Será que yo sigo calificando a todo aquello que no está en su versión 1, como algo beta o inestable, y por eso me extraña ver situaciones como éstas.


Es que normalmente es como tú dices. Es un estándar de facto de versionado que todo el mundo entiende. Sólo que se ve que esta gente se lo salta.


Hay mucho software que simplemente no es considerado estable por sus autores aunque sea totalmente funcional, especialmente en aquel software que no tiene presiones comerciales, como por ejemplo Rebot (publicidad :mrgreen:) que ahora mismo va por la versión 0.10, y es totalmente usable aunque considero que le faltan cosas para llegar a ser estable.

Otros proyectos simplemente no pretenden llegar a la 1.0 porque estiman que hay algún factor que nuncá hará que esté completo, como por ejemplo pasa con MAME, siempre habrá algún juego por implementar.


Arriba
 Perfil  
 
NotaPublicado: 28 Nov 2009 02:17 
Desconectado
Archivero
Archivero
Avatar de Usuario

Registrado: 08 Sep 2008 22:04
Mensajes: 296
Por poner otro ejemplo conocido, ScummVM salió a la luz en el año 2001, y no hace ni un par de semanas que decidieron sacar una versión "1.0.0" oficialmente.

--


Arriba
 Perfil  
 
Mostrar mensajes previos:  Ordenar por  
Nuevo tema Responder al tema  [ 7 mensajes ] 

Todos los horarios son UTC + 1 hora


¿Quién está conectado?

Usuarios navegando por este Foro: No hay usuarios registrados visitando el Foro y 4 invitados


No puede abrir nuevos temas en este Foro
No puede responder a temas en este Foro
No puede editar sus mensajes en este Foro
No puede borrar sus mensajes en este Foro

Buscar:
Saltar a:  
Desarrollado por phpBB® Forum Software © phpBB Group
Traducción al español por Huan Manwë para phpBB-Es.COM